# zyr模块 帮助文档

### 编写目的 ###

* 有些简单的函数经常使用，整理成模块方便调用
* 复杂函数依赖库多，在模块中拆成多个小函数，部分整合成大函数有助于提升效率
* 自己写的第一个模块，了解模块制作并实践一下？
* 你问我名字咋来的？名字取得好挺重要，我就觉得zyr读着好听，不，是世界上最完美的字母排列！

### 模块特征 ###

* 函数的命名以其存在的细分py文件为首，作用为尾，例：作用为y的函数来自x.py，则名称为x_y()

### 声明 ###

* 使用麻省理工学院（MIT）许可证，为开源模块
* 本人Python纯自学，代码中会存在很多不足之处，望理解与指出

### 运行环境 ###

``` python
#!/usr/bin/env python3
```

### 使用编码 ###

``` python
# -*- coding: utf-8 -*-
``` 

### 模块目录结构 ###

* V1.0
  <br>zyr
  <br>│ LICENSE
  <br>│ README.md
  <br>│ setup.py
  <br>├─demos
  <br>└─zyr
  <br>  ├─csv.py
  <br>  ├─debug.py
  <br>  ├─file.py
  <br>  ├─mouse.py
  <br>  ├─path.py
  <br>  ├─time.py
  <br>  ├─xlsx.py
  <br>  └─__init__.py

### GitHub URL ###

[点击访问](https://github.com/uiharukazari0105/zyr "初春饰利我老婆（笑）")

### 更新、程序开发进度 ###

* 更新频率
    * 正常情况下一周一次
    * 鉴于学生党平时时间少，功能上新较慢，望理解
* 更新日志

    * V1.0
        * 更新日期：2021/11/28
        * 从无到有，建立工程
        * 大致确定了制作与更新的方向
        * 对前代模块进行了BUG修复与整理
  
    * V1.1.1
        * 更新日期：2021/11/28
        * 连夜更新，为解决一个导入问题

---        

            * debug_normal：普通调试
                * 功能
                    * 传入一个字符串，在其最前方加入[DEBUG]字样
                    * 这样做虽然需要给每个语句加入注释
                    * 但能方便找出具体错误位置和原因
                    * 也可做成日志系统
                * 用法
                    * debug_normal(调试提示信息)
                * 注意事项
                    * 调试提示信息必须是字符串

---

            * debug_with_time：带时间追踪的调试
                * 功能
                    * 传入一个字符串，在其最前方加入[DEBUG]字样
                    * 相比于debug_normal()，加入了时间戳
                    * 这样做虽然需要给每个语句加入注释
                    * 但能方便找出具体错误位置和原因
                    * 也可做成带时间记录的日志系统
                * 用法
                    * debug_with_time(调试提示信息,时间精度)
                * 注意事项
                    * 调试提示信息必须是字符串
                    * 时间精度必须是字符串，0或1

--- 

            * time_now_get：返回当前已格式化的时间
                * 功能
                    * 该函数提供日期
                    * 通过给定精度参数
                    * 精度表示可使用中文
                    * 返回当前的具体日期
                    * 最终日期数据通过变量now_time返回
                    * 若精度格式存在问题(TI00)会返回错误信息
                * 用法
                    * time_now_get(时间精度) 
                * 注意事项
                    * 时间精度必须是字符串，0或1
                    * 精度格式中文：年、月、日、时、分、秒、毫秒
                    * 精度英文格式：y,month,d,h,m,s,ms
                    * 中文可直接组合，例如：年月日时分秒
                    * 英文组合必须用"."分隔，例如：y,month,d,h,m,s
                    * 精度参数为"0"时相当于返回时分秒
                    * 精度参数为"1"时相当于返回时分秒毫秒                        

---                    

            * mouse_move
                * 功能
                    * 移动光标到指定坐标
                    * 给定三个参数，分别是目标坐标的横纵坐标值以及持续时间
                * 用法
                    * mouse_move(目标横坐标,目标纵坐标,持续时间)
                * 注意事项
                    * 无

---            

            * mouse_click_left
                * 功能
                    * 移动光标到指定坐标并左键单击
                    * 给定两个参数，分别是目标坐标的横纵坐标值
                * 用法
                    * mouse_click_left(目标横坐标,目标纵坐标)
                * 注意事项
                    * 可能需要系统较高权限才对某些程序有效

---            

            * mouse_click_right
                * 功能
                    * 移动光标到指定坐标并右键单击
                    * 给定两个参数，分别是目标坐标的横纵坐标值
                * 用法
                    * mouse_click_right(目标横坐标,目标纵坐标)
                * 注意事项
                    * 可能需要系统较高权限才对某些程序有效                                   

---            

            * mouse_get_positon
                * 功能
                    * 返回目前光标的横纵坐标
                * 用法
                    * mouse_get_positon()
                * 注意事项
                    * 无

---

            * mouse_drag
                * 功能
                    * 拖拽内容到指定位置
                    * 给定三个参数，分别是目标坐标的横纵坐标值以及持续时间
                * 用法             
                    * mouse_drag(目标横坐标,目标纵坐标,持续时间)
                * 注意事项
                    * 可能需要系统较高权限才对某些程序有效
                    * 拖拽起点为光标当前位置

---

            * mouse_scroll_up
                * 功能
                    * 向上滚动
                    * 给定一个参数，为滚动的像素值
                * 用法             
                    * mouse_scroll_up(滚动的像素值)
                * 注意事项
                    * 无

---

            * mouse_scroll_down
                * 功能
                    * 向下滚动
                    * 给定一个参数，为滚动的像素值
                * 用法             
                    * mouse_scroll_down(滚动的像素值)
                * 注意事项
                    * 无

---

            * path_desktop
                * 功能
                    * 在Windows操作系统下，返回桌面路径
                * 用法
                    * path_desktop(参数缺省)
                * 注意事项
                    * 这在其他操作系统上无法工作

---

            * file_select
                * 功能
                    * 在Windows操作系统下，给定一个主页路径
                    * 打开文件选择器浏览文件
                    * 若直接关闭文件选择器，将无法跳出循环
                * 用法
                    * file_select(文件选择器主页路径)
                * 注意事项
                    * 这在其他操作系统上无法工作

---

            * csv_read_column
                * 功能
                    * 读取csv的某列
                    * 将返回一个列表
                * 用法
                    * csv_read_column(csv文件路径, 要读取的列数,编码)
                * 注意事项
                    * 使用自然计数的列数
                    * 编码缺省则为UTF-8

---

            * time_change_stamp
                * 功能
                    * 将时间戳转换为格式化的时间
                * 用法
                    * time_change_stamp(时间戳, 精度)
                * 注意事项
                    * 时间戳应该为一个整数
                    * 精度格式见time_now_get
                    * 但注意，时间戳将不存在毫秒精度

---

            * file_folder_create_if_non_exist
                * 功能
                    * 检查目录是否存在
                    * 若不存在则创建
                * 用法
                    * file_folder_create_if_non_exist(目录路径)
                * 注意事项
                    * 无

---

            * file_file_create_if_non_exist
                * 功能
                    * 检查文件及其根目录是否存在
                    * 若不存在则创建
                    * 拓展名可缺省
                * 用法
                    * file_file_create_if_non_exist(根目录路径, 文件名, 文件拓展名)
                * 注意事项
                    * 无

---

            * file_list
                * 功能
                    * 给定路径以及文件拓展名
                    * 返回一个含有该目录下指定拓展名的文件的列表
                    * 当文件拓展名参数被缺省时
                    * 将返回一个含有该路径下所有的文件以及文件夹的列表
                * 用法
                    * file_list(路径)
                * 注意事项
                    * 无

---

            * file_file_exist
                * 功能
                    * 检查一个文件是否存在
                    * 若不存在则返回False
                    * 存在则返回True
                * 用法
                    * file_file_exist(文件路径)
                * 注意事项
                    * 无

---

            * xlsx_open
                * 功能
                    * 给定一个xlsx的路径将其打开
                    * 以一个变量返回该文件
                * 用法
                    * xlsx_open(文件路径)
                * 注意事项
                    * 无

---

            * xlsx_open_sheet
                * 功能
                    * 给定一个xlsx
                    * 打开其中的工作表
                    * 若参数sheetname(第二项)缺省，则列出可选内容
                * 用法
                    * xlsx_open_sheet(工作簿, 工作表名称(可缺省))
                * 注意事项
                    * 无


                    