#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from zyr.time import time_now_get


def debug_normal(text):    # 普通调试
    """
    传入一个字符串，在其最前方加入[DEBUG]字样
    这样做虽然需要给每个语句加入注释，
    但能方便找出具体错误位置和原因，
    也可做成日志系统
    """
    print("[DEBUG]%s" % text)


def debug_with_time(text, accuracy):    # 带时间追踪的调试
    """
    传入一个字符串，在其最前方加入[DEBUG]字样，
    相比于debug()，加入了时间戳，
    这样做虽然需要给每个语句加入注释，
    但能方便找出具体错误位置和原因，
    也可做成带时间记录的日志系统
    """
    print("[DEBUG,%s]%s" % (time_now_get(accuracy), text))
