#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import datetime
import time


def time_now_get(accuracy):  # 返回当前已格式化的时间
    """
    该函数提供日期
    通过给定精度参数，
    精度表示可使用中文，
    若使用英文须以"."分隔
    返回当前的具体日期，
    最终日期数据通过变量now_time返回
    精度参数为"0"时相当于返回时分秒，
    精度参数为"1"时相当于返回时分秒毫秒
    """
    accuracy = str(accuracy)
    if accuracy.lower() == "s".lower() or accuracy == "秒钟" or accuracy == "秒":
        now_time = datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S')
    elif accuracy.lower() == "ms".lower() or accuracy == "毫秒":
        now_time = datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S.%f')
    elif accuracy.lower() == "m".lower or accuracy == "分钟" or accuracy == "分":
        now_time = datetime.datetime.now().strftime('%Y-%m-%d %H:%M')
    elif accuracy.lower() == "h".lower() or accuracy == "小时" or accuracy == "时":
        now_time = datetime.datetime.now().strftime('%Y-%m-%d %H')
    elif accuracy.lower() == "d".lower() or accuracy == "天" or accuracy == "日":
        now_time = datetime.datetime.now().strftime('%Y-%m-%d')
    elif accuracy.lower() == "month".lower() or accuracy == "月":
        now_time = datetime.datetime.now().strftime('%Y-%m')
    elif accuracy.lower() == "y".lower() or accuracy == "年":
        now_time = datetime.datetime.now().strftime('%Y')
    elif accuracy.lower() == "h.m.s".lower() or accuracy == "分秒":
        now_time = datetime.datetime.now().strftime('%M:%S')
    elif accuracy.lower() == "h.m.s".lower() or accuracy == "时分秒" or accuracy == "0":
        now_time = datetime.datetime.now().strftime('%H:%M:%S')
    elif accuracy.lower() == "d.h.m.s".lower() or accuracy == "日时分秒":
        now_time = datetime.datetime.now().strftime('%d %H:%M:%S')
    elif accuracy.lower() == "month.d.h.m.s".lower() or accuracy == "月日时分秒":
        now_time = datetime.datetime.now().strftime('%m-%d %H:%M:%S')
    elif accuracy.lower() == "y.d.h.m.s".lower() or accuracy == "年月日时分秒":
        now_time = datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S')
    elif accuracy.lower() == "h.m.s.ms".lower() or accuracy == "时分秒毫秒 " or accuracy == "1":
        now_time = datetime.datetime.now().strftime('%H:%M:%S.%f')
    elif accuracy.lower() == "d.h.m.s.ms".lower() or accuracy == "日时分秒毫秒":
        now_time = datetime.datetime.now().strftime('%d %H:%M:%S.%f')
    elif accuracy.lower() == "month.d.h.m.s.ms".lower() or accuracy == "月日时分秒毫秒":
        now_time = datetime.datetime.now().strftime('%m-%d %H:%M:%S.%f')
    elif accuracy.lower() == "y.d.h.m.s.ms".lower() or accuracy == "年月日时分秒毫秒":
        now_time = datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S.%f')
    elif accuracy.lower() == "y.m.d".lower() or accuracy == "年月日":
        now_time = datetime.datetime.now().strftime('%Y-%m-%d')
    else:
        now_time = "The format of parameter 'accuracy' has some problems. ERROR CODE:TI00\n时间精度的格式存在问题。错误代码：TI00"
    return now_time


def time_change_stamp(stamp, accuracy):
    """
    将时间戳转换为时间
    将返回格式化的时间
    精度格式同time_now_get()
    """
    if "毫秒" in accuracy:
        print("时间戳精度不应存在 毫秒")
    else:
        pass
    local_time = time.localtime(stamp)
    if accuracy.lower() == "s".lower() or accuracy == "秒钟" or accuracy == "秒":
        time_changed = time.strftime('%Y-%m-%d %H:%M:%S', local_time)
    elif accuracy.lower() == "m".lower or accuracy == "分钟" or accuracy == "分":
        time_changed = time.strftime('%Y-%m-%d %H:%M', local_time)
    elif accuracy.lower() == "h".lower() or accuracy == "小时" or accuracy == "时":
        time_changed = time.strftime('%Y-%m-%d %H', local_time)
    elif accuracy.lower() == "d".lower() or accuracy == "天" or accuracy == "日":
        time_changed = time.strftime('%Y-%m-%d', local_time)
    elif accuracy.lower() == "month".lower() or accuracy == "月":
        time_changed = time.strftime('%Y-%m', local_time)
    elif accuracy.lower() == "y".lower() or accuracy == "年":
        time_changed = time.strftime('%Y', local_time)
    elif accuracy.lower() == "h.m.s".lower() or accuracy == "分秒":
        time_changed = time.strftime('%M:%S', local_time)
    elif accuracy.lower() == "h.m.s".lower() or accuracy == "时分秒" or accuracy == "0":
        time_changed = time.strftime('%H:%M:%S', local_time)
    elif accuracy.lower() == "d.h.m.s".lower() or accuracy == "日时分秒":
        time_changed = time.strftime('%d %H:%M:%S', local_time)
    elif accuracy.lower() == "month.d.h.m.s".lower() or accuracy == "月日时分秒":
        time_changed = time.strftime('%m-%d %H:%M:%S', local_time)
    elif accuracy.lower() == "y.d.h.m.s".lower() or accuracy == "年月日时分秒":
        time_changed = time.strftime('%Y-%m-%d %H:%M:%S', local_time)
    elif accuracy.lower() == "y.m.d".lower() or accuracy == "年月日":
        time_changed = time.strftime('%Y-%m-%d', local_time)
    else:
        time_changed = "The format of parameter 'accuracy' has some problems. ERROR CODE:TI00\n时间精度的格式存在问题。错误代码：TI00"
    return time_changed
